Data Sources
Get a list of the data sources for your environment.
Use the Data Sources resource to get a list of data sources connected to Customer 360 Data Manager.
Syntax
- Resource
-
1baseURI/datatools/apiVersion/data-sources/ - Availability
- v1.0
- Formats
- REST
- HTTP methods
- GET
- Authentication
-
OAuth
- Request parameters
-
Parameter Description baseURI baseURI for the API gateway. Different regions have different values. Call the Data Job API lists the values.
For example: na.api-salesforce.com/datamanager/
apiVersion Version of the DJ API to use. The current version is v1.0.
For example: v1.0
- Query parameters
-
- dataSourceType
- Filters files by file type. Valid values are Commerce, Core, and CRE.
If no type is passed, all data sources are returned.
- Request headers
-
- x-sfdc-domain
- Specifies the instance_url returned in the authentication token.
- accept
- Specifies the type. For this resource, application/json is required.
- authorization
- Specifies the authorization token.
- Request and Response Bodies
- Consult the appropriate version of the Data Jobs RAML Spec.
Examples
- GET Request
- Gets a list of the data sources in my
environment.
1curl -vL -X GET \ 2 https://eu.api-salesforce.com/datamanager/datatools/v1.0/data-sources \ 3 -H 'accept: application/json' \ 4 -H 'authorization: Bearer 00DRM000000IeI2!AR4AQIJeeDdSm1eibRjSGn_qe4XOFG4_MUrRAo2RhA9WXWsQtWzRTxaAOdpwUYj7L21hqvI6lknfHc5Ua4Drf.GudSR82UXN' \ 5 -H 'x-sfdc-domain: shdworg.salesforce.com' - GET Response
-
1[ 2 { 3 "id": "core/stmfbna44ice1/00DRM000000IeI42AK", 4 "name": "ServiceCloudDS", 5 "type": "Core", 6 "domain": "svc1593537838921" 7 }, 8 { 9 "id": "commercecloud/dev/ecomvpodint2015354493s01", 10 "name": "CommerceDataSource", 11 "type": "Commerce", 12 "domain": "https://ecom-2015354493.force.com", 13 "sites": [ 14 { 15 "display_name": "SiteGenesis", 16 "site_id": "SiteGenesis" 17 }, 18 { 19 "display_name": "SiteGenesisGlobal", 20 "site_id": "SiteGenesisGlobal" 21 } 22 ] 23 }, 24 { 25 "id": "cre/stmfbna44ice1/creprd00000357h", 26 "name": "cre-creprd00000357h", 27 "type": "CRE", 28 "domain": "stmfbna44ice1" 29 } 30] - GET Request (filtered)
- Gets a list of the Salesforce orgs connected to Customer 360 Data Manager in my
environment.
1curl -vL -X GET \ 2 https://patch.prd.api-salesforce.com/datamanager/datatools/v1.0/data-sources?dataSourceType=Core \ 3 -H 'accept: application/json' \ 4 -H 'authorization: Bearer 00DRM000000Iw6J!ARIAQPDiUG9AfphTdU5NpDvV6ktL5q2UWH7Q5Pyug7gPLUQ.GR7JDd4teHAbqxvAA8zyz20nZXKCittykJMeRygd7byO8Xve' \ 5 -H 'x-sfdc-domain: shdw1597507570658.my.stmfb.stm.salesforce.com' - GET Response (filtered)
-
1[ 2 { 3 "id": "core/stmfbna44ice1/00DRM000000IeI42AK", 4 "name": "ServiceCloudDS", 5 "type": "Core", 6 "domain": "svc1593537838921" 7 }, 8]
Usage
This resource only returns connected data sources.